Get a list of all webhooks
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| fullName | Full Name | String | equals not equals one of like not like not one of |
| systemUserCode | Username | String | equals not equals one of like not like not one of |
| systemUserID | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| url | URL | String | equals not equals one of like not like not one of |
| webhookEventTypeID | Webhook Event Type ID | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
| webhookEventTypeInfo | Webhook Event Type Name | String | equals not equals one of like not like not one of |
| webhookID | Webhook ID | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
| webhookInfo | Webhook Name | String | equals not equals one of like not like not one of |
| webhookStatusID | Webhook Status ID | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
| webhookStatusInfo | Webhook Status Name | String | equals not equals one of like not like not one of |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
WebhookResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| createdBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| createdDate | The date and time the webhook was created | string (date-time) | ||||||||||||
| eventType | WebhookEventTypeChild | |||||||||||||
|
WebhookEventTypeChild properties
|
||||||||||||||
| locked | Locked webhooks cannot be edited. Locked webhooks will also NOT be automatically disabled on 10 consecutive failures | boolean | ||||||||||||
| mailingList | List of email addresses. Each recipient in this list will receive an email when a webhook fails or gets disabled | string[] | ||||||||||||
| secret | The encryption secret | string | ||||||||||||
| successRate | The percentage of success for the webhook | number (double) | ||||||||||||
| url | The URL to be invoked by the webhook | string | ||||||||||||
| webhookDescription | The description of the webhook | string | ||||||||||||
| webhookId | The identifier of the webhook | integer (int32) | ||||||||||||
| webhookName | The name of the webhook | string | ||||||||||||
| webhookStatus | The activation status of the webhook | string | ||||||||||||
Example Response
[
{ "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "eventType": { "webhookEventTypeId": 1, "webhookEventTypeName": "string"
}, "locked": false, "mailingList": [
"string"
], "secret": "string", "successRate": 1.0, "url": "string", "webhookDescription": "string", "webhookId": 1, "webhookName": "string", "webhookStatus": "string"
}
]